package com.base.api.client;


import com.base.api.model.SceneBasisTargetRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "orbit-base-biz", contextId = "target")
public interface SceneBasisTargetRpcService {

    @GetMapping("/target/detail")
    public SceneBasisTargetRpcDTO getTargetByCode(@RequestParam("code") String code);
    @PostMapping("/target/list")
    public List<SceneBasisTargetRpcDTO> getTargetByCodes(List<String> targetCodes);

}
