package com.base.biz.model.dto.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BaseInstanceBaseMsgDTO {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("卫星代号")
    private String wxdh;

    @ApiModelProperty("圈号")
    private String qh;

    @ApiModelProperty("历元时刻（北京时间）")
    private String lysk;

    @ApiModelProperty("轨道半长径(米)")
    private String gdbj;

    @ApiModelProperty("偏心率")
    private String pxl;

    @ApiModelProperty("轨道倾角")
    private String gdqj;

    @ApiModelProperty("近地点俯角")
    private String jddfj;

    @ApiModelProperty("平近点角")
    private String pjdj;

    @ApiModelProperty("升交点赤经")
    private String sjdcj;

    @ApiModelProperty("操作类型(1-删除 2-修改 3-新增)")
    private String operaType;

    @ApiModelProperty("创建时间")
    private String creatTime;

    @ApiModelProperty("修改时间")
    private String updateTime;
}
