package com.base.biz.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import java.util.Date;

@Data
@TableName("base_platform_dispatch_task")
public class BasePlatformDispatchTaskInfo {

    private String id;
    @ApiModelProperty("消息通知唯一标识")
    private String messageId;
    @ApiModelProperty("消息通知类型")
    private String massageType;
    @ApiModelProperty("创建时间")
    private Date creationTime;
    private Integer reqCount;
    @ApiModelProperty("需求内容")
    private String requireList;
    @ApiModelProperty("任务成功个数")
    private String successReqCount;
    @ApiModelProperty("本批次任务状态")
    private String basePlatformDispatchTaskState;
    @ApiModelProperty("入库时间")
    private Date createTime;
}
