package com.plan.api.model;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PlanIndicatorStateDTO {


    @ApiModelProperty("通知类型")
    private String messageType;

    @ApiModelProperty("通知标识号:通知类型_发送标识_发送时间")
    private String messageId;

    @ApiModelProperty("发送方")
    private String originator;

    @ApiModelProperty("接收方")
    private String recipient;

    @ApiModelProperty("创建时间")
    private String creationTime;

    @ApiModelProperty("消息体")
    private PlanIndicatorBodyDTO body;


}
