package com.base.plan.model.dto;

import com.base.plan.model.entity.AreaOptimizationResultInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;


@Data
public class AreaOptimizationDTO extends AreaOptimizationResultInfo {

    @ApiModelProperty("观测目标类型  0-点目标 1-区域目标")
    private Integer parentType;
    @ApiModelProperty("覆盖率")
    private double coverage;
    @ApiModelProperty("任务开始时间")
    private Date startTime;
    @ApiModelProperty("任务结束时间")
    private Date endTime;
    @ApiModelProperty("是否重新筛选卫星 0-否 1-是")
    private Integer isReScreenSatellite;
    @ApiModelProperty("条带集合")
    private Map<String, List<StripDTO>> stripDTOList;
}
