package com.base.plan.model.dto.request;

import com.base.api.model.FzTaskRpcDTO;
import com.base.plan.model.dto.PlanBizInfo;
import com.base.task.model.Task;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class StripDTOListAddDTO {

    @ApiModelProperty("需求id")
    private List<String> reqIds;
    @ApiModelProperty("开始时间")
    private String startTime;
    @ApiModelProperty("结束时间")
    private String endTime;
    private String satelliteCode;
    private String satelliteId;

    private String payloadId;

    List<Task<PlanBizInfo>> tasks;

    @ApiModelProperty("载荷工作模式")
    private String workMode;
    @ApiModelProperty("幅宽，单位米")
    private String swathWidth;

    private String targetId;

}
