package com.base.track.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("orbit_num")
public class OrbitNum implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private String id;

    @ApiModelProperty("卫星id")
    @TableField("satellite_id")
    private String satelliteId;

    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private LocalDateTime startTime;


    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private LocalDateTime endTime;


    @ApiModelProperty("卫星圈号")
    @TableField("num")
    private Integer num;


    @ApiModelProperty("间隔时长")
    @TableField("last_time")
    private String LastTime;

}
