package com.base.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class PointRpcDTO {

    @ApiModelProperty("主键")
    private String id;
    @ApiModelProperty("方向 1 顺时针 2 逆时针")
    private String sort;
    @ApiModelProperty("当前点编号")
    private String serial;
    @ApiModelProperty("经度")
    private String longitude;
    @ApiModelProperty("纬度")
    private String latitude;
    @ApiModelProperty("点类型")
    private String pointType;
    @ApiModelProperty("点类型")
    private String parentId;
    private Date createTime;

    private String parentName;
    private Date targetTime;//目标时刻
    /*线目标业务使用 用于判断条带是否合理 计算当前两个点中心点*/
    private List<PointRpcDTO> pointRpcDTOS;//目标类型
    private String targetType;//目标类型

    private String hotspot;//是否是热点 0是热点 1普通

    private String iscover;//当目标类型是点群时 需要这个字段判断该点是否被覆盖 0覆盖 1没有覆盖
}
