package com.base.api.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author yc
 * @since 2023-02-24
 */
@Data
public class SatelliteAppendixRpcDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String satelliteCode;

    private String satelliteId;

    private String satelliteLaunchEirp;

    private String carrierFrequency;

    private String satelliteOrbitalHeight;

    private String elevationGroundAntenna;

    private String satelliteGroundDistance;

    private String freeSpaceLoss;

    private String lonosphericLoss;

    private String polarizationErroeLoss;

    private String rainDecay;

    private String otherLosses;

    private String groundStationGt;

    private String boltzmannConstantK;

    private String cno;

    private String informationRate;

    private String ebno;

    private String codingGain;

    private String demodulationThreshold;

    private String linkMargin;
}
