package com.base.biz.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PointDTO {

    @ApiModelProperty("点Id")
    private String pointId;
    @ApiModelProperty("顶点连接顺序，从0开始，不包括中心点（中心点为-1）")
    private Integer sequence;
    @ApiModelProperty("纬度")
    private Double lat;
    @ApiModelProperty("经度")
    private Double lng;

}
