package com.base.biz.model.dto;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class QueryImportDemandDTO {

    @ApiModelProperty("目标名称")
    @ExcelColumn(index = 0)
    private String targetName;
    @ApiModelProperty("优先级")
    @ExcelColumn(index = 1)
    private Integer priority;
    @ApiModelProperty("频次")
    @ExcelColumn(index = 2)
    private Integer rate;
    @ApiModelProperty("纬度")
    @ExcelColumn(index = 3)
    private Double lat;
    @ApiModelProperty("经度")
    @ExcelColumn(index = 4)
    private Double lng;
    @ApiModelProperty("开始时间")
    @ExcelColumn(index = 5, format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty("结束时间")
    @ExcelColumn(index = 6, format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

}