package com.base.biz.model.dto.request;

import com.base.orbit.mq.model.BaseHeadMqDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class BaseMqDTO {

    @ApiModelProperty("消息头")
    private BaseHeadMqDTO messageHeader;

    @ApiModelProperty("天线基本信息")
    private BaseTxBaseMsgDTO baseTxBaseMsgDTO;

    @ApiModelProperty("地面站基本信息")
    private BaseDmzBaseMsgDTO baseDmzBaseMsgDTO;

    @ApiModelProperty("WX瞬根基本信息")
    private BaseInstanceBaseMsgDTO baseInstanceBaseMsgDTO;

    @ApiModelProperty("WX基本信息")
    private BaseWxBaseMsgDTO baseWxBaseMsgDTO;


}
