package com.base.biz.model.dto.response;

import com.baomidou.mybatisplus.annotation.TableName;
import com.base.biz.model.dto.PayloadInfoDTO;
import com.base.biz.model.dto.PointDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class EmulationTaskInfoDTOResp {
    private String id;
    @ApiModelProperty("仿真任务编号")
    private String EmulationTaskCode;
    @ApiModelProperty("目标名称")
    private String targetName;
    @ApiModelProperty("目标编号")
    private String targetCode;
    @ApiModelProperty("仿真任务开始时间")
    private Date startTime;
    @ApiModelProperty("仿真任务结束时间")
    private Date endTime;
    @ApiModelProperty("优先级")
    private String priority;
    @ApiModelProperty("任务提出时间")
    private Date emulationMakeTime;
    @ApiModelProperty("目标范围")
    private List<PointDTO> pointDTOList;
    @ApiModelProperty("绑定载荷")
    private List<PayloadInfoDTO> payloadInfoDTOList;
}
