package com.base.biz.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author yc
 * @since 2023-02-24
 */
@Data
@TableName("satellite_appendix")
public class SatelliteAppendix implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String satelliteCode;

    private String satelliteId;

    //卫星发射Elrp
    private Double eirp;
    //载波频率
    private Double f;
    //卫星轨道高度
    private Double h;
    //地面天线仰角
    private Double elevation;
    //电离层损耗
    private Double l1;
    //极化误差损耗
    private Double l2;
    //雨衰
    private Double l3;
    //其他损耗
    private Double l4;
    //地面站G/T
    private Double gt;
    //玻尔兹曼常熟K
    private Double k;
    //信息速率
    private Double fb;
    //编码增值
    @TableField(value = "g_codfing")
    private Double gCodfing;
    //解调门限
    private Double snr;
    //计算结果
    private Double linkMargin;

}
