package com.base.orbit.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户授权对象
 *
 * @author xj
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("用户授权对象")
public class UserDTO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("角色数组")
    private Long[] roleIds;

}
