/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1
 Source Server Type    : MySQL
 Source Server Version : 50720
 Source Host           : 127.0.0.1:3306
 Source Schema         : log

 Target Server Type    : MySQL
 Target Server Version : 50720
 File Encoding         : 65001

 Date: 05/05/2023 08:21:36
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for log_record
-- ----------------------------
DROP TABLE IF EXISTS `log_record`;
CREATE TABLE `log_record`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `time` datetime(6) NOT NULL,
  `message` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `level_string` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `logger_name` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `thread_name` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `reference_flag` smallint(6) DEFAULT NULL,
  `caller_filename` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `caller_class` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `caller_method` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `caller_line` char(4) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `server_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 139 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of log_record
-- ----------------------------
INSERT INTO `log_record` VALUES (136, '2023-05-04 17:00:58.267000', 'hello test~~~~', 'com.springboot.demo.controller.TestServer', 'INFO', 'http-nio-8082-exec-2', NULL, 'TestServer.java', 'com.springboot.demo.controller.TestServer', 'test', '16', 'USER_SERVER');
INSERT INTO `log_record` VALUES (137, '2023-05-04 17:04:22.150000', 'hello test~~~~', 'com.springboot.demo.controller.TestServer', 'INFO', 'http-nio-8082-exec-2', NULL, 'TestServer.java', 'com.springboot.demo.controller.TestServer', 'test', '16', 'USER_SERVER');
INSERT INTO `log_record` VALUES (138, '2023-05-04 17:05:38.100000', 'ApplicationRunner=================', 'com.springboot.demo.init.InitBean', 'INFO', 'main', NULL, 'InitBean.java', 'com.springboot.demo.init.InitBean', 'run', '19', '');

SET FOREIGN_KEY_CHECKS = 1;
