package com.base.task.model.input;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class EphInput extends Input {

    private String number1 = "1";
    @ApiModelProperty("wx代号")
    private String satelliteCode;
    @ApiModelProperty("WX质量 kg")
    private String mass;
    @ApiModelProperty("迎风面积 平方米")
    private String windArea;
    @ApiModelProperty("光压面积，平方米")
    private String shineArea;
    @ApiModelProperty("地球重力场模型阶数1，默认32.0")
    private String earthGravityFieldModeOrde1="32.0";
    @ApiModelProperty("地球重力场模型阶数2，默认32.0")
    private String earthGravityFieldModeOrde2="32.0";


    private String kong = "lineBreak";
    private String number2="2";
    private String startTime;
    private String endTime;
    private String density="1.0";


    private String kong1 = "lineBreak";
    private String number3="3";
    private String value1="0.0";
    private String value2="0.0";
    private String value3="0.0";
    private String value4="5.0";
    private String value5="3.0";
    private String value="1.0";


    private String kong2 = "lineBreak";
    private String number4="4";
    @ApiModelProperty("卫星类型，载荷类型，1可见光/微光，2红外，3微波，4SAR，5掩星")
    private String loadType;

    private String kong3 = "lineBreak";
    private String number5="5";
    private String dir="D:/Orbit_EXE/Orbit_EXE";


    private String kong4 = "lineBreak";
    private String number6="6";
    private String startTime1;
    private String endTime1;
    private String value6="1.0";
    private String value7="1.0";


    private String kong5 = "lineBreak";
    private String number7="7";
    private String value8="1";
    private String value9="1";

    private String kong6 = "lineBreak";
    private String number8="8";
    private String orbitNum;
    private String epochTime1;
    private String epochTime2;
    //?
    //?

    private String kong7 = "lineBreak";
    private String number9="9";
    @ApiModelProperty("轨道半径长 米")
    private String semiMajorAxis;
    @ApiModelProperty("偏心率")
    private String eccentricity;
    @ApiModelProperty("轨道倾角")
    private String inclination;
    private String raan;
    @ApiModelProperty("近地点俯角")
    private String argumentOfPerigee;
    @ApiModelProperty("平近点角")
    private String meanAnoMaly;

    private String kong8 = "lineBreak";
    private String number10="10";
    private String value11="0";
    private String value12="0";
    private String value13="0";
    private String value14="0";
    private String value15="0";
    private String value16="0";


    private String kong9 = "lineBreak";
    private String number11="11";
    private String value17="1";
    private String value18="0";
    private String value19="0";
    private String value20="0";
    private String value21="0";
    private String value22="0";
    private String value23="0";
    private String value24="0";
    private String value25="0";

    private String kong10 = "lineBreak";
    private String number12="12";
    private String value26="2";
    private String value27="0";
    private String value28="0";
    private String value29="0";
    private String value30="0";
    private String value31="0";
    private String value32="0";
    private String value33="0";
    private String value34="0";


}
