package com.base.api.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 星历对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("星历对象")
public class CalEphRpcDTO {

    @ApiModelProperty(value = "卫星编号")
    private String code;

    @ApiModelProperty(value = "星历数据时间")
    private Date ephTime;

    @ApiModelProperty(value = "X")
    private BigDecimal X;

    @ApiModelProperty(value = "Y")
    private BigDecimal Y;

    @ApiModelProperty(value = "Z")
    private BigDecimal Z;

    @ApiModelProperty(value = "VX")
    private BigDecimal VX;

    @ApiModelProperty(value = "VY")
    private BigDecimal VY;

    @ApiModelProperty(value = "VZ")
    private BigDecimal VZ;

    @ApiModelProperty(value = "圈号")
    private String cirCle;


}
