package com.base.track.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.track.model.entity.CxStationVo;
import com.base.track.model.entity.TrbutData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author cxl
 * @since 2022-06-23
 */
@Mapper
public interface TrbutDataMapper extends BaseMapper<TrbutData> {

    void deleteByDate(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<TrbutData> selTrButData(CxStationVo cxStationVo);

}
