package com.base.track.model.dto.response;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author cxl
 * @since 2022-06-20
 */
@Data
public class SubPointDataDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String satelliteId;
    private String satelliteCode;

    private Date date;

    private Double lat;

    private Double lon;

    private Double lrLat;

    private Double lrLon;

    private Double rrLat;

    private Double rrLon;

    private Double lsLat;

    private Double lsLon;

    private Double rsLat;

    private Double rsLon;

    private Double alt;

    private String orbit;

    private String updown;

    //最接近的星下点
    private int nearPointNum;

    //到地心距离
    private double R;
}